version: '2.2'
services:
  campaigns-webapp:
    build:
      context: ./
      dockerfile: ./webapp/Dockerfile
      args:
        BUILD: 0
    command: yarn start
    volumes:
     - ./webapp/public:/home/campaigns-webapp/webapp/public
     - ./webapp/src:/home/campaigns-webapp/webapp/src
     - ./interfaces/src:/home/campaigns-webapp/interfaces/src
    ports:
     - "3000:3000"
     - "4000:4000"
    environment:
     - NODE_ENV=dev
    cpu_percent: 20